export function CommonThemeProvider({ children, theme }: {
    children: any;
    theme: any;
}): any;
export const muiTheme: import('@mui/material').Theme;
export namespace tailwind {
    let mode: string;
    let content: string[];
    namespace theme {
        namespace extend {
            namespace fontFamily {
                let sans: string[];
                let upper: string[];
                let price: string[];
            }
            namespace fontSize {
                let menuProductName: (string | {
                    lineHeight: string;
                    fontWeight: string;
                })[];
                let menuCategory: (string | {
                    lineHeight: string;
                    fontWeight: string;
                })[];
            }
            namespace colors {
                namespace primary {
                    let light: string;
                    let DEFAULT: string;
                    let dark: string;
                }
                namespace secondary {
                    let DEFAULT_1: string;
                    export { DEFAULT_1 as DEFAULT };
                }
                namespace fontColor {
                    let DEFAULT_2: string;
                    export { DEFAULT_2 as DEFAULT };
                    export let btnPrimary: string;
                    export let btnSecondary: string;
                    export let btnDisabled: string;
                    export let bgPrimary: string;
                    export let btnTrash: string;
                }
                namespace bgColor {
                    let DEFAULT_3: string;
                    export { DEFAULT_3 as DEFAULT };
                    let btnPrimary_1: string;
                    export { btnPrimary_1 as btnPrimary };
                    let btnSecondary_1: string;
                    export { btnSecondary_1 as btnSecondary };
                    let btnDisabled_1: string;
                    export { btnDisabled_1 as btnDisabled };
                    let btnTrash_1: string;
                    export { btnTrash_1 as btnTrash };
                }
                namespace borderColor {
                    let DEFAULT_4: string;
                    export { DEFAULT_4 as DEFAULT };
                }
                namespace facebook {
                    let light_1: string;
                    export { light_1 as light };
                    let DEFAULT_5: string;
                    export { DEFAULT_5 as DEFAULT };
                    let dark_1: string;
                    export { dark_1 as dark };
                }
                namespace red {
                    let light_2: string;
                    export { light_2 as light };
                    let DEFAULT_6: string;
                    export { DEFAULT_6 as DEFAULT };
                }
                let black: string;
                namespace greys {
                    let light_3: string;
                    export { light_3 as light };
                    let DEFAULT_7: string;
                    export { DEFAULT_7 as DEFAULT };
                }
            }
            let backgroundImage: {
                "tenant-pattern": string;
            };
        }
    }
    let safelist: string[];
    let plugins: any[];
}
//# sourceMappingURL=index.es.d.ts.map